<?php

namespace App\Filament\Resources\TopHeaderResource\Pages;

use App\Filament\Resources\TopHeaderResource;
use Filament\Actions;
use Filament\Resources\Pages\ListRecords;
use Illuminate\Support\Facades\Gate;
class ListTopHeaders extends ListRecords
{
    protected static string $resource = TopHeaderResource::class;

    protected function getHeaderActions(): array
    {
        return [
            Actions\CreateAction::make()
                ->label('Add New Top Header')
                ->visible(fn () => Gate::allows('create topheader')),
        ];
    }
}